/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef AINET_PASS_HPP
#define AINET_PASS_HPP

#include "pass.hpp"
#include "pass_repertoire.hpp"

#include <cstdio>

/// A pass implementing an AiNet algorithm
class ainet_pass: public pass
{
	private:
		enum { m_param_info_size=5 };
		static param_info m_param_info[m_param_info_size];
		//static pass_repertoire::registerer m_reg;
	public:
	ainet_pass():
		pass("AiNet", m_param_info, m_param_info_size)
	{ this->parameter_value(1).int_value()=30;}

	virtual void operator() (histogram const&,
			centroid_set&,
			progress_indicator*) const;

	virtual void print() const;
	virtual pass* clone() const
	{ return new ainet_pass(*this); }
};
#endif // AINET_PASS_HPP 
