/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef COMPUTE_HISTOGRAM_HPP
#define COMPUTE_HISTOGRAM_HPP

#include <libgimp/gimp.h>
#include "histogram.hpp"
#include "pixel_region.hpp"

/// Computes the histogram of a drawable
void compute_histogram(GimpDrawable* drawable, histogram* hist,
		int x, int y, int width, int height);

#endif // COMPUTE_HISTOGRAM_HPP
