/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef KMEANS_PASS_HPP
#define KMEANS_PASS_HPP

#include "pass.hpp"
#include "pass_repertoire.hpp"

/// A pass implementing a kmeans algorithm
class kmeans_pass: public pass
{
	private:
		enum { m_param_info_size=2 };
		static param_info m_param_info[m_param_info_size];
		//static pass_repertoire::registerer m_reg;
	public:
	kmeans_pass():
		pass("K-Means", m_param_info, m_param_info_size)
	{
		this->parameter_value(0).int_value()=10;
		this->parameter_value(1).int_value()=3;
	}

	virtual void operator() (histogram const&,
			centroid_set&,
			progress_indicator*) const;

	virtual void print() const;

	virtual pass* clone() const { return new kmeans_pass(*this); }
};
#endif // KMEANS_PASS_HPP 
