/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef LOAD_MANUAL_SEGMENTATION_HPP
#define LOAD_MANUAL_SEGMENTATION_HPP

#include <libgimp/gimp.h>

/// Finds the manually segmented image corresponding 
/// to the specified one.
///
/// Done by looking in the same directory for an image names
/// filename_seg.ext (where filename is the base name of the passed image
///
/// returns NULL on failure
GimpDrawable* load_manual_segmentation(gint32 image_id);

#endif // LOAD_MANUAL_SEGMENTATION_HPP
