/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include <cassert>

#include "pass.hpp"

#if 0
pass::pass(pass const& p):
	m_parameters_info(p.m_parameters_info),
	m_nr_parameters(p.m_nr_parameters),
	m_parameters_value(p.m_parameters_value),
	m_label(p.m_label)
{}
#endif

pass::pass(char const* label, 
		param_info const* pi,
		std::size_t sz):
	m_parameters_info(pi),
	m_nr_parameters(sz), m_label(label)
{
	m_parameters_value.reserve(sz);
	for(unsigned i=0; i<sz; ++i){
		switch(pi[i].type()){
			case param::type_info::int_type:
				m_parameters_value.push_back(param(pi[i].int_start()));
				break;
			case param::type_info::double_type:
				m_parameters_value.push_back(param(pi[i].double_start()));
				break;
			default:
				assert(false);
		}
	}
}
