/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "pixel_class.hpp"
#include <cstdlib>
#include <cmath>

// Returns the class index of a pixel
int pixel_class(centroid_set const& classes,
		histogram::gray_level_type pixel)
{
	int best_match=0;
	double best_match_quality=std::abs(*classes.begin()-double(pixel));

	for(centroid_set::const_iterator it=classes.begin();
			it!=classes.end(); ++it){
		double const match=std::abs(*it-double(pixel));
		if(match<best_match_quality){
			best_match_quality=match;
			best_match=it-classes.begin();
		}
	}
	return best_match;
}
