/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef PROGRESS_INDICATOR_HPP
#define PROGRESS_INDICATOR_HPP

/// (Observer Pattern) Gathers reports of the progress of some
/// operation.
class progress_indicator
{
	public:
	progress_indicator(){}

	/// Informs about the percentage of the operation
	virtual void operator() (double percent)=0;

	virtual ~progress_indicator(){}

	private:
	progress_indicator(progress_indicator const&);
	progress_indicator& operator=(progress_indicator const&);
};

#endif //PROGRESS_INDICATOR_HPP
