/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef PSO_PASS_HPP
#define PSO_PASS_HPP

#include "pass.hpp"


/// A pass implementing a pso algorithm
class pso_pass: public pass
{
	private:
		enum { m_param_info_size=7 };
		static param_info m_param_info[m_param_info_size];
		
	public:
	pso_pass():
		pass("Particle Swarm Optimization", m_param_info, m_param_info_size)
	{
		parameter_value(0).int_value()=10;
		parameter_value(1).double_value()=.47;
		parameter_value(2).double_value()=1.49;
		parameter_value(3).double_value()=1.49;
		parameter_value(4).int_value()=20;
		parameter_value(5).int_value()=10;
		parameter_value(6).int_value()=5;
	
	}

	virtual void operator() (histogram const&,
			centroid_set&,
			progress_indicator*) const;

	virtual pass* clone() const { return new pso_pass(*this); }
};
#endif // PSO_PASS_HPP 
