/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "pure_pixel_classifier.hpp"
#include "rgb_to_gray.hpp"
#include "pixel_class.hpp"
#include <cstdio>

centroid_set::size_type pure_pixel_classifier::operator() (
		histogram const& hist,
		centroid_set const& centers,
		classification const& c12n,
		GimpDrawable* drawable,
		GimpPixelRgn* rgn,
		guchar level,
		gint x, gint y,
		double geom_pos_factor) const
{	
	return pixel_class(centers, level);

	for(classification::const_iterator it=c12n.begin();
			it!=c12n.end(); ++it){
		if(it->second==level) return it->first;
	}

	std::printf("WARNING(%s): level %d not found in classification\n",
			__FILE__, level);
	return 0;

}
