/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef PURE_PIXEL_CLASSIFIER_HPP
#define PURE_PIXEL_CLASSIFIER_HPP

#include "pixel_classifier.hpp"

/// Classifies pixel only according to their gray levels
class pure_pixel_classifier : public pixel_classifier
{
	public:
	pure_pixel_classifier(): 
		pixel_classifier("Pure Gray Level Classifier"){}
	
	virtual centroid_set::size_type operator() (
			histogram const& hist,
			centroid_set const& centers,
			classification const& cls,
			GimpDrawable* drawable,
			GimpPixelRgn* rgn,
			guchar level,
			gint x, gint y,
			double geom_pos_factor) const;

};

#endif // PURE_PIXEL_CLASSIFIER_HPP
