/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "register_fitness_functions.hpp"
#include "fitness_function_repertoire.hpp"
#include "random_fitness.hpp"
#include "fixed_fitness.hpp"
#include "turi_fitness.hpp"
#include "dunn_fitness.hpp"
#include "amrane_fitness.hpp"
#include "liu_yang_fitness.hpp"

void register_fitness_functions()
{
	fitness_function_repertoire& rep=
		*fitness_function_repertoire::instance();
	//rep.add(new random_fitness());
	//rep.add(new fixed_fitness());
	rep.add(new turi_fitness());
	rep.add(new dunn_fitness());
	rep.add(new amrane_fitness());
	rep.add(new liu_yang_fitness());
}
