/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef RESULT_DIALOG_HPP
#define RESULT_DIALOG_HPP

#include <vector>

#include "histogram.hpp"
#include "centroid_set.hpp"
#include "pass.hpp"

/// Displays a dialog box summarizing results of segmentation.
/// image: The id of the original (unmodified) image on which
///   the algorithm was applied
/// algo: The algo that was applied
/// hist: The histogram upon which algo was applied
/// outcome: An std::vector for the resulting centroids after
///   each pass of algo
void result_dialog(
		gint32 image_id, 
		std::vector<pass*> const& algo,
		histogram const& hist,
		std::vector< centroid_set > const& outcome);

#endif // RESULT_DIALOG_HPP
