/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#include "template_pass.hpp"
#include "histogram.hpp"

/// Definition of parameter info array (contains an element per parameter)
param_info 
template_pass::m_param_info[template_pass::m_param_info_size]=
{
	/// First parameter will be an integer from 1 to 10 named "Number of
	/// Iterations
	param_info(1, 10, "Number of Iterations", "Number of passes to apply"),

	/// Second parameter will be a double between 0 and 1
	param_info(0.0, 1.0, "Precision", "Accuracy of calculations")
};


/// Actual implementation of the algorithm
void template_pass::operator() (histogram const& hist,
			centroid_set& centroids,
			progress_indicator* ind) const
{
	// First extract actual parameter values
	int const nr_passes=this->pass::parameter_value(0).int_value();
	double const precision=this->pass::parameter_value(1).int_value();
	
	(void)precision;

	double total_pixels=0;
	// Count the total number of pixels
	for(histogram::const_iterator it=hist.begin();
			it!=hist.end(); ++it)
		total_pixels+=*it;

	int pass_count=nr_passes;
	while(pass_count--){
		// Go through the histogram
		for(histogram::const_iterator it=hist.begin(); it!=hist.end(); ++it){
			// do something about the centroids	
		}
	}// while pass_count--
}

