#include <cassert>

#include "pass.hpp"
#include "param.hpp"
#include "histogram.hpp"

char const* str1="h";
char const* str2="j";
char const* str3="k";
char const* str4="l";
int main()
{
	param m(1);
	assert(m.type()==param::type_info::int_type);
	assert(m.int_value()==1);
	
	param n(1.0);
	param nc=n;
	assert(nc==n);
	param ncc(1);
	ncc=nc;
	assert(ncc==nc);
	assert(n.type()==param::type_info::double_type);
	assert(n.double_value()==1.0);
	assert(nc.type()==param::type_info::double_type);
	assert(nc.double_value()==1.0);

	param_info o(2, 4, str1, str2);
	param_info oc=o;
	assert(o.type()==param::type_info::int_type);
	assert(o.int_start()==2);
	assert(o.int_end()==4);
	assert(o.label()==str1);
	assert(o.description()==str2);
	assert(oc.type()==param::type_info::int_type);
	assert(oc.int_start()==2);
	assert(oc.int_end()==4);
	assert(oc.label()==str1);
	assert(oc.description()==str2);
	
	param_info p(2.0, 4.0, str3, str4);
	assert(p.type()==param::type_info::double_type);
	assert(p.double_start()==2.0);
	assert(p.double_end()==4.0);
	assert(p.label()==str3);
	assert(p.description()==str4);
}
