/// Multipass: A gimp plug-in for image segmentation
///
/// Copyright (C) 2007  Anis Benyelloul (anis.benyelloul@gmail.com) and
/// 			Said-Eddine Bensalem (said.bensalem@gmail.com)
///
/// This program is free software: you can redistribute it and/or modify
/// it under the terms of the GNU General Public License as published by
/// the Free Software Foundation, either version 3 of the License, or
/// (at your option) any later version.
///
/// This program is distributed in the hope that it will be useful,
/// but WITHOUT ANY WARRANTY; without even the implied warranty of
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/// GNU General Public License for more details.
///
/// You should have received a copy of the GNU General Public License
/// along with this program.  If not, see <http://www.gnu.org/licenses/>.


#ifndef UI_BUILD_HPP
#define UI_BUILD_HPP

#include <gtk/gtk.h>
#include <cstdlib>

#include "pass.hpp"

/// Create and return a parent widget containing a form that
/// allows to fill the parameters of the given pass object
///
/// The form retrun will write changes straight inside the pass
/// parameters
///
/// Passes event handler will be set to handle all value changed events
GtkWidget* ui_build(pass* p, void (*callback) (GtkWidget*, gpointer)=0);
#endif
